/**
 * PSE jQuery modal popup
 * ======================
 * Transition Network - Project Sharing Engine
 * by Jim Kirkpatrick, March 2012 -- bad d0t octopus at gmail dott com
 *
 * This code imports jQuery if absent from containing page, and sets up modal
 * dialog on click of 'add project' button.
 *
 * Note: all functions should start with tn_pse_ namespace.
 */


/**
 * 1. Load jQuery if only if not already in the page
 *    from: http://noodle.mx/scripts/widgets.js
 */
// Only do anything if jQuery isn't defined
if (typeof jQuery == 'undefined') {
  function getScript(url, success) {
    var script   = document.createElement('script');
    script.src = url;
    var head = document.getElementsByTagName('head')[0],
    done = false;

    // Attach handlers for all browsers
    script.onload = script.onreadystatechange = function() {
      if (!done && (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete')) {
      done = true;
        // callback function provided as param
        success();
        script.onload = script.onreadystatechange = null;
        head.removeChild(script);
      };
    };
    head.appendChild(script);
  };

  getScript('https://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', function() {
    tn_pse_setupModal();
  });
} else { // jQuery was already loaded
  // Run your jQuery Code
  tn_pse_setupModal();
};


/**
 * 2. Enable modal popup on button
 */
function tn_pse_setupModal() {
  // belt and braces
  if (typeof jQuery == 'undefined') return;

  // attach a click handler to the widget open button link
  $('.tn-pse-widget-container .entry-widget-launcher').click(function () {
    // insert entry widget iFrame if not already present
    if ($('.tn-pse-widget-container .entry-widget').length == 0) {
      $('.tn-pse-widget-container .modal-inner').append('<iframe class="entry-widget" frameborder="0" style="display: hidden; width: 100%; height: 100%; border: none; overflow: hidden;"></iframe>'); 
      $('.tn-pse-widget-container .entry-widget').attr('src', 'http://www.transitionnetwork.org/');
      $('.tn-pse-widget-container .entry-widget').fadeIn(1200);
    }

    // show modal overlay slowly-ish to allow it to load
    $('.tn-pse-widget-container .modal-mask').fadeIn(500);
    return false;
  });
  
  // attach a click handler to the widget close link
  $('.tn-pse-widget-container .modal-button-close').click(function () {
    $('.tn-pse-widget-container .modal-mask').fadeOut();
  });
}




//TODO GULAG -- may be useful, remove asap if not
/*
function getUrlVars(the_widget) {
  var vars = [], hash;
  var hashes = the_widget.attr("src").split('?')[1].split('&');
  for(var i = 0; i < hashes.length; i++)
  {
    hash = hashes[i].split('=');
    vars.push(hash[0]);
    vars[hash[0]] = hash[1];
  }
  return vars;
}

function my_jquery() {
  jQuery(".ndlmx_widget").each(function(index) {
    hash = getUrlVars(jQuery(this));
    widget = hash['widget'];
    size = hash['size'];
    jQuery(this).prev().html('<img src="http://noodle.mx/images/' + widget + '-' + size + '.png" />');
  });
}
*/